%define name fwbuilder
%define version 1.1.2
%define release 1mdk

Name: %{name}
Summary: Firewall Builder
Url: http://www.fwbuilder.org/
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Networking
Source: http://prdownloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: gtkmm >= 1.2.3
Requires: ucd-snmp >= 4.2
BuildRequires: libgtkmm-devel >= 1.2.5
BuildRequires: libxslt-devel
BuildRequires: libfwbuilder-devel >= 0.10.12
BuildRequires: libgdk-pixbuf-devel libsnmp-devel glibc-static-devel 
BuildRequires: libopenssl-devel libadns-devel bind-devel
Requires: libfwbuilder >= 0.10.12

%description
Firewall administration tool.

%prep
%setup -q

%build
%{__libtoolize} --force --copy
%{__aclocal}
%{__autoconf}
%configure	--enable-auto-docdir \
		--with-templatedir=%{_datadir}/%{name}
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/pixmaps/%{name}
%dir %{_datadir}/bug-buddy/bugzilla/%{name}
%{_datadir}/bug-buddy/bugzilla/%{name}.bugzilla
%{_datadir}/bug-buddy/%{name}-bug-buddy.png
%{_datadir}/bug-buddy/%{name}-packages
%{_datadir}/bug-buddy/%{name}.appmap
%{_datadir}/bug-buddy/xml/%{name}.bts
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/%{name}/*
%doc doc

%changelog
* Wed Jan 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2

* Wed Dec 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Sun Jun 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.10-1mdk
- 1.0.10
- use %%configure macro with libtoolize, aclocal and autoconf in stead of autogen.sh
- use %%makeinstall_std macro
- use %%make macro
- macroize

* Tue Mar 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-2mdk
- fix buildrequires

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-1mdk
- 1.0.9

* Tue Jan 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.8-1mdk
- 1.0.8 (thx future)

* Sat Dec 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.7-2mdk
- rebuild
- fix unpackaged files

* Wed Oct 30 2002  Arnaud Desmons <adesmons@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6

* Thu Sep 12 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0.5-2mdk
- i18n
- iptable policy compiler

* Wed Sep 11 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-3mdk
- rebuild

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.3-2mdk
- rebuild for new readline

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Tue May 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-1mdk
- new version (rebuild to fix relocation error pb's)

* Wed Jan 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Tue Dec 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Mon Dec 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- build with new libfwbuilder
- requires on libfwbuilder
- 0.9.8

* Wed Nov  7 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.6-1mdk
- release 0.9.6
- many changes due to new libfwbuilder package
- merged iptables package into main one

* Wed Oct 17 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-2mdk
- changed url
- rebuilt with libpng3

* Fri Aug 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.5-1mdk
- release 0.9.5

* Mon Jul 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.2-1mdk
- new version

* Mon Jul  2 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.1-1mdk
- initial mandrake package (taken from Vadim Zaliva <lord@crocodile.org>)
- macroszification
- buildrequires
- requires in sub packages


